# bool class

The reserved words `true` and `false` denote objects that are the only two instances of this class.

It is a compile-time error for a class to attempt to extend or implement bool.

## Constructors

bool.fromEnvironment(String name, { bool defaultValue: false })
  Returns the boolean value of the environment declaration `name`. [...]
  const
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, override
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns either `"true"` for `true` and `"false"` for `false`.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator &(bool other) → bool
  The logical conjunction ("and") of this and `other`. [...]
  @Since("2.1")
operator ^(bool other) → bool
  The logical exclusive disjunction ("exclusive or") of this and `other`. [...]
  @Since("2.1")
operator |(bool other) → bool
  The logical disjunction ("inclusive or") of this and `other`. [...]
  @Since("2.1")
operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited